## zero

#### OS/161 Reference Manual

### Name

zero - test if VM system zeros memory

### Synopsis

`/testbin/zero`

### Description

`zero` checks if your VM system zeros memory like it's supposed to. It checks both the BSS segment ("uninitialized data"), which is supposed to be zeroed at program load time, and if you have implemented `sbrk`, it also checks that newly allocated pages acquired with `sbrk` are zeroed.

Failure to zero pages can cause other tests to blow up in complicated ways that are often much harder to diagnose.

### Requirements

`zero` uses the following system calls:

- write
- sbrk (optionally)
- _exit

`zero` should run properly once the basic system calls are implemented.